QGIS Application - Bug report #15867

QGIS Georeferencer crashes with large files

2016-11-20 09:42PM-R L

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:2.18.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?:
Easy fix?:
Resolution:

No
No
not reproducable

Copied to github as #: 23785

Description

Using both 2.18.0 and 2.14.8, the georeferencer tool struggles with files over a few mb. After entering a GCP and pressing okay, an error
message comes up saying qgis has stopped working, and the program closes. Reducing file size appears to solve problem.

History

#1 - 2016-11-21 10:51 AM - Giovanni Manghi
- Category set to C++ plugins/Georeferencer
- Status changed from Open to Feedback

Can you please attach one of your files that make qgis crash. Thanks.

#2 - 2016-11-21 10:51 AM - Giovanni Manghi
- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2016-11-21 10:51 AM - Giovanni Manghi
- Priority changed from Normal to High

#4 - 2016-11-22 08:05 PM - R L

- File Peterfield_recon _1611_reg_90.jpg added

Attached. Thanks.

#5 - 2016-12-05 05:36 PM-R L

Still a problem with the latest nightly release. What's the way forward? Crashing most commonly occurs when using the scroll wheel to zoom in and out on

aimage.

#6 - 2017-01-03 05:50 AM - Giovanni Manghi
- Resolution set to not reproducable

It works everything just fine on qgis 2.18.2 on both Linux and Windows.

Please try a clean install by disabling/removing any 3rd party plugins and/or purging the .qgis2 folder.
Please reopen if necessary.

#7 - 2017-01-03 06:11 AM - Giovanni Manghi
- Status changed from Feedback to Closed

Files

Peterfield_recon_1611_reg_90.jpg

2024-04-11

4.86 MB

2016-11-22

22

RL



